import { SvelteComponent } from "svelte";
import { DefinitionWalker, type Definition, type StepsConfiguration, type ToolboxConfiguration, type UndoStack, type ValidatorConfiguration, type UidGenerator, type DesignerExtension } from 'sequential-workflow-designer';
declare const __propDef: {
    props: {
        definition: Definition;
        steps: StepsConfiguration;
        toolbox?: false | Omit<ToolboxConfiguration, "isCollapsed"> | undefined;
        isToolboxCollapsed?: boolean | undefined;
        controlBar?: boolean | undefined;
        theme?: string | undefined;
        contextMenu?: boolean | undefined;
        undoStackSize?: number | undefined;
        undoStack?: UndoStack | undefined;
        validator?: ValidatorConfiguration | undefined;
        uidGenerator?: UidGenerator | undefined;
        definitionWalker?: DefinitionWalker | undefined;
        extensions?: DesignerExtension[] | undefined;
        stepEditor?: ConstructorOfATypedSvelteComponent | null | undefined;
        rootEditor?: ConstructorOfATypedSvelteComponent | null | undefined;
        isEditorCollapsed?: boolean | undefined;
        isReadonly?: boolean | undefined;
        selectedStepId?: string | null | undefined;
    };
    events: {
        definitionChanged: CustomEvent<any>;
        selectedStepIdChanged: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SequentialWorkflowDesignerProps = typeof __propDef.props;
export type SequentialWorkflowDesignerEvents = typeof __propDef.events;
export type SequentialWorkflowDesignerSlots = typeof __propDef.slots;
export default class SequentialWorkflowDesigner extends SvelteComponent<SequentialWorkflowDesignerProps, SequentialWorkflowDesignerEvents, SequentialWorkflowDesignerSlots> {
}
export {};
